@echo off
echo Starte DSL Problem Analyzer Script
echo ----------------------------------

set YEAR=%date:~-4%
set MON=%date:~-7,2%
set DAY=%date:~-10,2%

rem Number of ICMP packets
set PCOUNT=3

rem Test server
set TEST1=www.heise.de
set TEST2=www.google.de
set TEST3=www.youtube.de
set TEST4=sip.1und1.de
set TEST5=www.gmx.de

set DNS1=8.8.8.8
set DNS2=208.67.222.222

echo Bitte geben Sie hier den Domain-Namen der Seite ein, 
echo die Sie nicht oder nur langsam erreichen knnen.
echo Beispiel: www.google.de
set /p TEST1=Domain-Name: 
set TEST1=%TEST1: =%
set TEST1=%TEST1:http://=%
set TEST1=%TEST1:https://=%

for /f "tokens=1 delims=/\" %%x in ("%TEST1%") do set TEST1=%%x

echo.
echo Windows Netzwerk Konfiguration
echo.
ipconfig -all | findstr /R "[0-9]*\.[0-9]*\.[0-9]*\.[0-9] adapter Description"
echo.

set LOG=dsl_analyzer_%YEAR%%MON%%DAY%.log

echo Wechsel in Verzeichnis %USERPROFILE%\Desktop
%USERPROFILE:~,2%
cd %USERPROFILE%\Desktop
echo Wechsel in das Verzeichnis %CD% erfolgt


echo #################################################### >> %LOG%
echo ### Start script %date% %time% >> %LOG%
echo #################################################### >> %LOG%
echo Betroffene Domain: %TEST1% >> %LOG%
echo.
echo ### ipconfig ### >> %LOG%
ipconfig -all >> %LOG%
echo ### END ipconfig ### >> %LOG%
echo. >> %LOG%
echo. >> %LOG%

echo ### route ipv4 ### >> %LOG%
route -4 print >> %LOG%
echo ### END route ipv4 ### >> %LOG%
echo. >> %LOG%
echo. >> %LOG%

echo ### route ipv6 ### >> %LOG%
route -6 print >> %LOG%
echo ### END route ipv6 ### >> %LOG%
echo. >> %LOG%
echo. >> %LOG%

For %%f In (%TEST1% %TEST2% %TEST3% %TEST4% %TEST5%) Do (
	IF NOT [%%f]==[] (
		echo Starte Test %%f
		echo #################################################### >> %LOG%
		echo ### Start %%f %date% %time% >> %LOG%
		echo -- DNS-Test mit Kundeneinstellungen >> %LOG%
		nslookup %%f >> %LOG% 2> NUL
		echo -- DNS-Test ?ber %DNS1% >> %LOG%
		nslookup %%f %DNS1% >> %LOG% 2> NUL
		echo -- DNS-Test ?ber %DNS2% >> %LOG%
		nslookup %%f %DNS2% >> %LOG% 2> NUL
		echo -- Tracert %%f mit IPv4 >> %LOG%
		tracert -d -4 %%f >> %LOG% 2> NUL
		echo ------------ >> %LOG%		
		echo -- Tracert %%f mit IPv6 >> %LOG%
		tracert -d -6 %%f >> %LOG% 2> NUL	
		echo ------------ >> %LOG%		
		echo ## Ping Tests >> %LOG%
		ping -4 -n %PCOUNT% -f %%f >> %LOG%
		ping -4 -n %PCOUNT% -f -l 512 %%f >> %LOG%
		ping -4 -n %PCOUNT% -f -l 1024 %%f >> %LOG%
		ping -4 -n %PCOUNT% -f -l 1452 %%f >> %LOG%
		echo #################################################### >> %LOG%	
		echo. >> %LOG%
		echo. >> %LOG%		
	)
)

echo #################################################### >> %LOG%
echo ### End script %date% %time% >> %LOG%
echo #################################################### >> %LOG%
echo. >> %LOG%

echo Die Datei befindet sich unter %CD%\%LOG% (auf dem Desktop)
notepad %CD%\%LOG%
echo.

pause